// This file contains Old stuff, no longer used at this point
// but saved here in case it is needed abgain


int
ParseCommandLine(int argc , char** argv) 
{
      map<const char*, long *, char_lt> arguments;
      int i;

      arguments["-decttl"]       = &TIMER_DEC_TTL;
      arguments["-maxretrans"]   = &MAX_NUMBER_RETRANSMISSIONS;
      arguments["-genlsp"]       = &TIMER_LSP_GEN;
      arguments["-pingsleep"]    = &PING_SLEEP_TIME;
      arguments["-pingtimeout"]  = &PING_TIMEOUT_TIME;
      arguments["-rfs"]          = &TIMER_RUN_FORWARD_SEARCH;
      arguments["-unacked"]      = &TIMER_CONTROL_MSG_UNACKED;
      arguments["-rtpdata"]      = &RTP_DATA_TIMEOUT;
      
      argMapPtrType ap;
      long value=0;
      
      assert( (argc-3)%2 == 0);
     
      // scan through args 3-end of args
      //
      for( i = 3; i < argc ; i+=2){
        ap = arguments.find(argv[i]);
        if( ap != arguments.end() ){
          
          // see of value given is valid
          //
          value = atoi(argv[i+1]);
          if(value == 0){
            cerr << endl;
            ERROR("Illegal option ("<<argv[i+1]<<") for argument: "<<argv[i]);
            cerr << endl;
            return 1;
          }
          
          //  set the argument
          //
          else{
            *((*ap).second) = value;
            INFO("Set command line arg: "<<(*ap).first);
          }
        }
        
        // look up of argument failed, invalid arg
        //
        else{
          ERROR("Invalid argument: "<<argv[i]);
          cerr <<endl<< "Valid optional arguments:"<<endl;
          for (ap=arguments.begin(); ap != arguments.end(); ap++){
            cerr<<"\t"<<(*ap).first<< " < timer value in microseconds>"<<endl;
          }
          cerr <<endl<<endl;
          return 1;
        }
      }

      return 0;
}


bool 
operator==(const timespec& x, const timespec& y)
{
    return (x.tv_sec == y.tv_sec);
}	

bool 
operator<(const timespec& x, const timespec& y)
{
    return(x.tv_sec < y.tv_sec);
}

ostream& 
operator<<(ostream& x,const timespec& y)
{
    x << y.tv_sec;
    return x;
}

bool 
operator==(const AProfile x, const AProfile y)
{
    return(x.id==y.id && x.clientID==y.clientID);
}

ostream& 
operator<<(ostream& x, const AProfile& y)
{
    x << y.sqlString;
    return x;
}




// /*
// **
// ** Template stuff for STL 
// **
// */
// template class mutexMultimap<timespec, AProfile, less<timespec> >;
// template class multimap<timespec, AProfile, less<timespec> >;
// template class pair<const timespec, AProfile>;
// template class rb_tree<timespec, pair<timespec const, AProfile>,
// select1st<pair<timespec const, AProfile>, timespec>, less<timespec> >;

// template bool operator!=(rb_tree<timespec, pair<timespec const, AProfile>,
// select1st<pair<timespec const, AProfile>, timespec>, less<timespec>
// >::iterator const &, rb_tree<timespec, pair<timespec const, AProfile>,
// select1st<pair<timespec const, AProfile>, timespec>, less<timespec>
// >::iterator const &);

// template select1st<pair<timespec const, profile_tag>, timespec>::select1st(void);

// template less<timespec>::operator()(timespec const &, timespec const &) const;
// template swap(less<timespec> &, less<timespec> &);
// template swap(unsigned int &, unsigned int &);
// template swap(bool &, bool &);
// template less<timespec>::less(void);
// template max(unsigned int const &, unsigned int const &);
// template swap(__rb_color_type &, __rb_color_type &);
// template select1st<pair<timespec const, profile_tag>, timespec>::operator()(pair<timespec const, profile_tag> const &) const;

// template allocator<rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::rb_tree_node>::max_size(void);

// template pair<rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator, bool>::pair(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator const &, bool const &);

// template pair<rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator, rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator>::pair(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator const &, rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator const &);

// template rb_tree_pair_iterator_bool<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::rb_tree_pair_iterator_bool(pair<rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator, bool>);

// template reverse_bidirectional_iterator<rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator, pair<timespec const, profile_tag>, pair<timespec const, profile_tag> const &, int>::reverse_bidirectional_iterator(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator);

// template reverse_bidirectional_iterator<rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator, pair<timespec const, profile_tag>, pair<timespec const, profile_tag> &, int>::reverse_bidirectional_iterator(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator);

// template construct(pair<timespec const, profile_tag> *, pair<timespec const, profile_tag> const &);

// template iterator_category(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator);
// template distance(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator, rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator, unsigned int &);

// template rb_tree_iterator<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::rb_tree_iterator(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator);

// template rb_tree_iterator<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::operator rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator(void);

// template rb_tree_const_iterator<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::operator rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator(void);

// template rb_tree_pair_iterator_bool<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::operator pair<rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator, bool>(void);

// template pair<rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator, rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator>::pair(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator const &, rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator const &);

// template rb_tree_const_iterator<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::rb_tree_const_iterator(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator);

// template distance(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator, rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator, unsigned &);

// template iterator_category(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator);

// template swap(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::rb_tree_node *&, rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::rb_tree_node *&);

// template __distance(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator, rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator, unsigned int &, bidirectional_iterator_tag);

// template operator!=(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator const &, rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::const_iterator const &);

// template __distance(rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator, rb_tree<timespec, pair<timespec const, profile_tag>, select1st<pair<timespec const, profile_tag>, timespec>, less<timespec> >::iterator, unsigned int &, bidirectional_iterator_tag);





