
#include <push_global.h>
#include <stl.h>
#include <badd_error.h>
#include <where_scanner.h>


//--------------------------------------------------
//  Variables global to smartPush
//--------------------------------------------------
mutexMultimap<struct timespec, AProfile, 
    less<struct timespec> > timerTable;                    /* The timer table              */
queueObj * threadQueue;                                    /* The dead thread queue        */

readWriteLock    RWL;                                      /* readers/writers lock         */
int IDS_RECEIVER_PORT         = 12000;                     /* default IDS rec port         */
const char* IDS_RECEIVER_LOG  = "receiver.log";            /* rec. thrd. trans. log        */
const char* IDS_REC_PORT_FILE = "ids.receiver.port";       /* file to write receiver port  */


bool operator==(const timespec& x, const timespec& y){
        return (x.tv_sec == y.tv_sec);
}

bool operator<(const timespec& x, const timespec& y){
        return(x.tv_sec < y.tv_sec);
}

ostream& operator<<(ostream& x,const timespec& y){
        x << y.tv_sec;
        return x;
}
