
#include <thread.h>

P_Thread::P_Thread(){ }

void *
P_Thread::startFunction(void* arg)
{
    P_Thread *runthread = (P_Thread *)arg;   
    runthread->run();                  /* call the run() method for this */
}

int 
P_Thread::start()
{
    int status;
    
    /* Initialize attr needed for pthread_create */
    pthread_attr_init(&_attr);
    pthread_attr_setscope(&_attr, PTHREAD_SCOPE_SYSTEM);
    
    status = pthread_create(&_tid, &_attr, P_Thread::startFunction,
			    (P_Thread *)this);
    
    if(status == 0)
	return 0;
    return -1;
}

int 
P_Thread::end()
{
    int status;
    pthread_exit(&status);
    return status;
}


int 
P_Thread::detach()
{
    return pthread_detach(get_tid());
}


int 
P_Thread::join(pthread_t targetid)
{
    int * status;
    if(pthread_join(targetid, (void **)&status) == 0)
	return 0;
    return -1;
}
