

#include "baddTranslator.h"
#include <iostream.h>


void printQuery(const char * query);

int
main(int argv, char** argc)
{
    char *  query;
    char *  trans;
    char *  tmp;
    int     st,    numTemp, i;
    bool    done = false;

    baddTranslator * bt;
    bt = new baddTranslator( 1,2 );
    
    while(!done){
	cout <<endl<<endl<<"Ready> ";
	cout.flush();
	query = new char[2048];
	cin.getline(query, 2048, ';');
	if( query[0] == 'q' && query[1] == 'u' &&  query[2] == 'i' && query[3] == 't'){
	    done = true;
	    cout <<"Bye bye"<<endl;
	    continue;
	}
	bt->setQuery(query);
	trans = bt->translateQuery(st, numTemp);
	if(trans == NULL){
	    cout << "translation failed for query: "<<endl<<"\t\t";	    
	    printQuery(query);
	}
	else{
	    cout <<"\n\t\tTRANSLATION: "<<endl
		 <<"\t\t-------------------"<<endl
		 <<"\t\tnumTemp:       "<<numTemp<<endl
		 <<"\t\tstatus:        "<<st<<endl
		 <<"\t\t..................."<<endl<<endl;
	    printQuery(trans);
	}
	delete[] query;
	trans = NULL;
    }
    return 0;
}


void 
printQuery(const char * query)
{
    // output the SQL stmt, chop into pieces of length 70
    int i = 0;
    const char * tmp = query;
    cout <<"\t\t";
    for(tmp = query; *tmp; tmp++){
	cout << *tmp;
	if(i%65 == 0  && i!= 0) cout << endl<<"\t\t";
	i++;
    }
    cout <<endl<<endl;
}


