#!/s/std/bin/perl -w

use CGI qw(:standard);

# Some of the parameters in this top section will have to be set
# to your system.  I have tried to set all system dependent info
# here, such as:
#
# 1) see top line, set the path to your perl location
# 2) $homescript: set to the path where you install the cgi script
# 3) $passwordFile: the name of the dummy password file, this should be
#                   installed with the other demo files iun script dir
# 4) $sendprog: path to the profile send program.  This program is called
#               by the perl script to connect to the smartPull receiver to
#               pass profile management requests

#setting  the env variables 
print header, start_html("BADD Profile Manager"),
    "<BODY BACKGROUND=\"http://www.cs.wisc.edu/~brucej/pics/back.jpg\">\n",
    "<TABLE BORDER =0 CELLPADDING=22><TR><TD>.&nbsp</TD><TD>\n";

#############################################
$homescript   = "\"http://cgi.cs.wisc.edu/scripts/brucej/badd/badd.cgi\"";
$passwordFile = "password.txt";
$path         = "/u/b/r/brucej/public/cgi-bin/badd/";
$sendprog     = "profsend/profsend";

$paramhash{"Interests"}   ="  view 'Interests' table parameter";
$paramhash{"Location"}    ="  view 'Location' table parameter (x,y radius)";
$paramhash{"use_sql"}     ="  use custom SQL statement below";
$badd_host                = $ENV{"PDHOST"};
#############################################


if(param())
{
    #########################################
    #
    # The main menu, (after UID has been set)
    #
    #########################################
    if(defined(param("userid")) && param("mainmenu"))
    {
	$userid = param("userid");
	
	
	# get the client name
	unless (open(PASS, $passwordFile)) 
	{
	    error("Sorry! Could not open password file\n");
	}	     
	# search the password file
	while(defined( $line = <PASS>))
	{
	    @tuple = split(/\t/, $line);
	    
	    chomp ($tuple0 = $tuple[0]);
	    if($userid == $tuple0)
	    {
		$client = $tuple[3];
	    }
	}
	
	print start_form;
	print h2("Main Menu Options For Client: <FONT COLOR=\"blue\">$client</FONT>"),hr; 
	
	$labelshash{"addprofile"}     ="  Add a profile";
	$labelshash{"deleteinfo"}     ="  Delete a profile";
	$labelshash{"updateparams"}   ="  Add or modify parameters";
	$labelshash{"viewparams"}     ="  See current parameter settings";
	
	print radio_group(-name=>"opt", 
			  -values=>['addprofile',
				    'deleteinfo',
				    'updateparams',
				    'viewparams'],
			  -default=>'addprofile',
			  -labels=>\%labelshash,
			  -linebreak=>'true');
	
	print br,hr;
	
	print hidden("userid", $userid);
	print p(submit("   Go!   ")) ;
	print end_form;
	endpage();
    }
    
    ##################################################
    # 
    #  Got the password and login, process it
    #
    ##################################################
    elsif(param("loginname") && param("password"))
    {
	chomp ($loginname = param("loginname"));
	chomp ($password  = param("password"));
	
	unless (open(PASSWD, $passwordFile)) 
	{
	    error("Sorry! Could not open Password file\n");
	}
	
	# search the password file
	$found = 0;
	while(defined( $line = <PASSWD>))
	{
	    @tuple = split(/\t/, $line);
	    
	    chomp ($tuple1 = $tuple[1]);
	    chomp ($tuple2 = $tuple[2]);
	    
	    if(($loginname eq $tuple2) &&
	       ($password eq $tuple1)) 
	    {
		
		################
		#
		# Generate a main menu when first logged in
		#
		################
		chomp($userid = $tuple[0]);
		$found = 1;
		print start_form;
		$client = $tuple[3];
		
		print h2("Main Menu Options for Client: <FONT COLOR=\"blue\">$client</FONT>"),hr; 
		
		$labelshash{"addprofile"}     ="  Add a profile";
		$labelshash{"deleteinfo"}     ="  Delete a profile";
		$labelshash{"updateparams"}   ="  Add or modify parameters";
		$labelshash{"viewparams"}     ="  View current parameter settings";	
		print radio_group(-name=>"opt", 
				  -values=>['addprofile',
					    'deleteinfo',
					    'updateparams',
					    'viewparams'],
				  -default=>'addprofile',
				  -labels=>\%labelshash,
				  -linebreak=>'true');
		
		print br,hr;
		
		print hidden("userid", $userid);
		print p(submit("   Go!   ")) ;
		print end_form;
		endpage();
	    }
	}
	
	##################################################
	# 
	#  Client not found or password not found
	#
	##################################################
	if (!$found)
	{
	    print h1("Error"),hr;
	    print "Login failed. &nbsp <A HREF = $homescript ><B>Try again</B></A>\n", p;
	    endpage();
	}
    }
    # end of password processing
    

    ##################################################
    # 
    #  Option 2.1: Send message to delete a profile
    #
    ##################################################
    elsif(param("gotdelete"))
    {	
	$userid    = param("userid");
	$clientid  = param("clientid");
	$profid    = param("profileid");

	print h2("Deleting the following profile"), hr;
	
	##############################
	#
	# SEND DELETE CMD TO PROFSEND
	#
	#############################
	print "<UL><LI>Client ID: $clientid\n";
	print "<LI>Profile ID: $profid </UL>\n";

	
	$pid = system("$path$sendprog -code del_prof -pid $profid -cid $clientid");
	$errorcode = $pid/256;

	print hr,"<FONT SIZE=\"2\">Executing: $sendprog -code del_prof -pid $profid -cid $clientid",br;
	print "(return code was $errorcode)</FONT>",br;

	if( ($errorcode == 0) )
	{
	    $errorcode = 300;
	}	
	
	finish_with_message($errorcode, $userid);
    }      
    
    
    ##################################################
    # 
    #  Option 3.1: Add a profile 
    #
    ##################################################
    elsif(param("gotprofile"))
    {
	$userid = param("userid");
	$clientid = param("clientid");
	$profileid = param("profileid");
	$profile = param("profile");
	$port = param("port");
	$period = param("period");
	$address = param("address");
	
	@lines = split(/\n/, $profile);	      
	
	print h2("Sending the following profile: "),hr;	

	print "<UL>";
	print "<LI>Client ID: $clientid",br;
	print "<LI>Profile ID: $profileid",br;
	print "<LI>Port: $port",br;
	print "<LI>Period: $period",br;
	print "<LI>Address: $address",br;
	print "</UL>";

	print "<B>Profile:</B><BR>";
	foreach $line (@lines)
	{
	    print "<B><dd><FONT COLOR=\"blue\"> $line </B></FONT>",br;
	    $cleansql = $cleansql.$line." ";    
	}

	$_ = $cleansql;
	tr/;/ /;
	tr/\n/\ /;
	tr/\r/\ /;

	$cleansql =$_;
	chomp($cleansql);	

	##############################################
	#
	# SEND THE NEW PROFILE OR UPDATE PROFILE REQUEST
	#
	##############################################
	$command = "$path$sendprog -code add_prof -pid $profileid  -cid $clientid -port $port -period $period -sql \"$cleansql\"  -addr \"$address\""; 
	$pid = system($command);
	$errorcode = $pid/256;

	
	$color1="blue";
	$color2="red";

	if($errorcode == 0)
	{
	    
	    unless (open(TRANSLATION, "translation.txt")) 
	    {
		error("Could not open translation file");
	    }
	    
	    print br,"<B>Translation:</B>",br,br;
	    while(defined( $line = <TRANSLATION>))
	    {
		@queries = split(/\$/, $line);	      
		@lines1  = split(/;/, $queries[0]);
		@lines2  = split(/;/, $queries[1]);
		
		print "<U>Queries that determine what to disseminate:</U>",br;
		print "<UL>";
		foreach $quer (@lines1)
		{
		    if( length($quer) > 2 )
		    {
			print "<LI><FONT COLOR=\"$color1\">$quer</FONT>",br;
		    }
		}
		print "</UL>";


		print br, "<u>Querys that disseminate tuples:</u>";
		print br;
		print "<UL>";	
		foreach $quer (@lines2)
		{
		    print "<LI><FONT COLOR=\"$color2\"> $quer </FONT>",br;
		}
		print "</UL>";	
	    }

	    $errorcode = 100;
	}

        print br,br, hr,"<FONT SIZE=2>Executed: $command (return code was $errorcode)</FONT>", br;
	finish_with_message($errorcode, $userid);
    }      
    
    ##################################################
    # 
    #  Option 4.1: Send a parameter update message
    #
    ##################################################
    elsif(param("gotparamupdate"))
    {
	$userid    = param("userid");
	$clientid  = param("clientid");
	$profileid = param("profileid");
	$paramsql  = param("paramsql");

	print h2("Sending parameter update request"),hr;

	@lines = split(/\n/, $paramsql);	   

        print "<b>Sending this parameter update:</b>",br;
	print "<UL><LI>client ID: $clientid";
	print "<LI>Profile ID: $profileid";

	print "<LI>SQL stmt:<BR><BR>";

	foreach $line (@lines)
	{
	    print "<B><FONT COLOR=\"blue\"> $line </B></FONT>",br;
	    $cleansql = $cleansql.$line." ";    
	}
	print "</UL>";

	$_ = $cleansql;
	tr/;/ /;
	tr/\n/\ /;
	tr/\r/\ /;

	$cleansql =$_;
	chomp($cleansql);
		
	$command="$path$sendprog -code up_param -pid $profileid -cid $clientid -param_sql \"$cleansql\"";
	$pid = system($command);
	$errorcode = $pid/256;

	print hr,"<FONT SIZE=\"2\">Executing: $command",br;
	print "(return code was $errorcode)</FONT>",br;

	if( ($errorcode == 0) )
	{
	    $errorcode = 400;
	}
	
	finish_with_message($errorcode, $userid);
    }        
    

    ##################################################
    # 
    #  Option 5.1: Show requested parameter settings
    #
    ##################################################
    elsif(param("gotparamview"))
    {
	$userid  = param("userid");
	$clientid = param("clientid");
	$profileid = param("profileid");
	$paramsql = param("paramsql");
	$param_table = param("param_table");

	if( ($param_table eq "Location") ||($param_table eq "Interests") )
	{
	    $paramsql = "select * \nfrom $param_table \nwhere CID=$clientid and PID=$profileid";
	}

	@lines = split(/\n/, $paramsql);	   	

	$paramfile= "$clientid.$profileid.param";
	if(-e $paramfile)
	{
	    unlink($paramfile);
	}

	print h2("Showing curent parameter settings"),hr;

        print "<B>Sending this request:</B>",br;
	print "<UL><LI>client ID: $clientid";
	print "<LI>Profile ID: $profileid</UL>";

	print "<B>SQL stmt:</B><BR>";
	foreach $line (@lines)
	{
	    print "<DD><B><FONT COLOR=\"blue\"> $line </B></FONT>",br;
	    $cleansql = $cleansql.$line." ";    
	}
	print;

	$_ = $cleansql;
	tr/;/ /;
	tr/\n/\ /;
	tr/\r/\ /;

	$cleansql =$_;
	chomp($cleansql);
		
	$command="$path$sendprog -code view_param -cid $clientid -pid $profileid -param_sql \"$cleansql\"";
	$pid = system($command);
	$errorcode = $pid/256;


	if($errorcode == 0)
	{
	    if (open(PARAMETERS, $paramfile)) 
	    {
		print br,"<B>Parameter schema:</B><BR><BR>";
		while(defined( $line = <PARAMETERS>))
		{
		    chomp($line);
		    print $line;
		}
	    }
	}
	
	print br,br,br,hr,"<FONT SIZE=\"2\">Executing: $command",br;
	print "(return code was $errorcode)</FONT>",br;
	
	finish_with_message($errorcode, $userid);
    }    
    
    
    ##################################################
    # 
    #  An Item was just chosen from the main menu
    #  Depending on which MAIN MENU option was selected, 
    #  a new page is generated.  Each case below 
    #  generates a unique page.
    #
    ##################################################
    elsif(defined(param("userid")) && !param("mainmenu"))
    {
	
	##################################################
	# 
	#  Option 1: delete a profile
	#
	##################################################
	if(param("opt") eq "deleteinfo")
	{
	    
	    $userid = param("userid");	      
	    
	    # get the clients name
	    unless (open(PASS, $passwordFile)) 
	    {
		error("Could not open contributions file\n");
	    }
	    
	    # search the password file
	    while(defined( $line = <PASS>))
	    {
		@tuple = split(/\t/, $line);
		
		chomp ($tuple0 = $tuple[0]);
		chomp ($tuple4 = $tuple[4]);
		chomp ($tuple5 = $tuple[5]);
		
		if($userid == $tuple0)
		{
		    $client = $tuple[3];
		}
	    }
	    
	    print h2("Delete Profile For Client: <FONT COLOR=\"blue\">$client, CID: $userid</FONT>"),hr;
	    
	    
	    print start_form;
	    print textfield("clientid", $userid), "  Client ID", br;
	    print textfield("profileid", "1"), "  Profile ID to delete", br;

	    print hidden("userid", $userid);
	    print hidden("gotdelete", "gotdelete"),hr,br;
	    print submit("Delete This Profile");
	    print end_form;
	    endpage();
	} #end if case of user contributions
	
	
	##################################################
	# 
	#  Option 3: Add a profile
	#
	##################################################
	elsif(param("opt") eq "addprofile" )
	{
	    
	    chomp($userid = param("userid"));
	    print h2("Add a Profile"),hr;
	    
	    print start_form;
	    print "<B>Client Information</B>",br;
	    print  textfield("clientid", "$userid"), "  Client ID  ",br;
	    print  textfield("profileid", "1"), "  Profile ID", br;
	    print  textfield("port", "6$userid"), "  Port  ",br;
	    print  textfield("period", "45"), "  Period (in seconds)", br;
	    print  textfield("address", $badd_host), "  Client Address",br;

	    print hr,h3("Profile");
	    print textarea(-name=>'profile',
			   -rows=>8,
			   -columns=>50,
			   -default=>"select * \nfrom MOVEMENTS M, INTERESTS I, LOCATION L\nwhere I.CID=$userid and I.PID=1 and\n  L.CID=$userid and L.PID=1 and \n  M.REP.contains_word(I.WORD) = true and \n  M.FINAL_POS overlaps L.CUR_POS.makeCircle(L.RADIUS)");

	    print hr;
	    
	    print hidden("userid", $userid);
	    print hidden("gotprofile", "gotprofile");
	    print p,submit("Send Profile");
	    print "&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp";
	    print reset("Clear Profile");	      
	    print end_form;
	    
	    print start_form;
	    print hidden("userid", $userid);
	    print hidden("mainmenu", "mainmenu");
	    print submit("Go back to main menu");
	    print end_form;
	    
	    endpage();
	}


	##################################################
	# 
	#  Option 4: Update parameters
	#
	##################################################
	elsif( param("opt") eq "updateparams" )
	{
	    
	    chomp($userid = param("userid"));
	    print h2("Modify Parameters for client: $userid"),hr;
	    
	    print start_form;
	    print h3("SQL statement:"), br;
	    print  textarea(-name=>'paramsql',
			    -rows=>8,
			    -columns=>50,
			    -default=>"INSERT INTO INTERESTS VALUES ( NOW(0), 10, 400, 1, 'Foo')");	    
	    print hr;
	    
	    print hidden("clientid", $userid);
	    print hidden("profileid", 1);
	    print hidden("userid", $userid);
	    print hidden("gotparamupdate", "gotparamupdate");
	    print p,submit("Submit parameter update");
	    print "&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp";
	    print reset("Clear");	      
	    print end_form;
	    
	    print start_form;
	    print hidden("userid", $userid);
	    print hidden("mainmenu", "mainmenu");
	    print submit("Go back to main menu");
	    print end_form;
	    endpage();
	}

	##################################################
	# 
	#  Option 5: View parameters
	#
	##################################################
	elsif( param("opt") eq "viewparams" )
	{
	    chomp($userid = param("userid"));
	    $clientid=$userid;
	    
	    print h2("Display parameter settings for client: $userid"),hr;
	    
	    print start_form;

	    print radio_group(-name=>"param_table", 
			      -values=>['Location',
					'Interests',
					'use_sql'],
			      -default=>'use_sql',
			      -labels=>\%paramhash,
			      -linebreak=>'true');
	    
	    print br; 

	    print  textfield("clientid", $clientid), "  Client ID", br;
	    print  textfield("profileid", "1"), "  Profile ID", br;

	    print hr; 

	    print h3("SQL statement:");
	    print  textarea(-name=>'paramsql',
			    -rows=>8,
			    -columns=>50,
			    -default=>"SELECT *\nFROM LOCATION \nWHERE CID>0");
	    print hr;
	    
	    print hidden("clientid", $clientid);
	    print hidden("profileid", 1);
	    print hidden("userid", $userid);
	    print hidden("gotparamview", "gotparamview");
	    print p,submit("Submit parameter view query");
	    print "&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp";
	    print reset("Clear");	      
	    print end_form;
	    
	    print start_form;
	    print hidden("userid", $userid);
	    print hidden("mainmenu", "mainmenu");
	    print submit("Go back to main menu");
	    print end_form;
	    endpage();
	}
    }
}

else
{
    ##################################################
    # 
    #  Login screen: get a loginname/password 
    #
    ##################################################
    print h1("BADD Profile Manager Login<hr>");
    
    print start_form;
    print textfield("loginname"), "&nbsp&nbsp Client ID" , br;
    print  password_field("password")  ,"&nbsp&nbsp  Password" , br;
    print p(submit("AUTHENTICATE"));
    print end_form,hr;
    
    
    print "</TD></TABLE></BODY>";
    print end_html;
}


sub endpage
{
    print "</TD></TABLE></BODY>";
    print end_html;
}


sub error
{
    print start_form;
    print h1("Error"),hr;

    print $_[0],br;

    print hidden("userid", $_[1]);
    print hidden("mainmenu", "mainmenu");
    print p(submit("Back to the main menu"));
    print end_form;	  
    endpage();    
}


sub finish_with_message
{

    $errorcode = $_[0];
    $userid    = $_[1];
    

    print hr;

    #print message according to error code
    if ($errorcode == 100)      
    { 
	print "<B>Profile has been added!</B>",br; 
    }
    elsif ($errorcode == 200)      
    { 
	print "<B>Profile update request succeeded!</B>",br; 
    }
    elsif ($errorcode == 300)      
    { 
	print "<B>Profile and associated parameters have been deleted!</B>",br; 
    }
    elsif ($errorcode == 400)      
    { 
	print "<B>Parameter update succeeded!</B>",br; 
    }
    elsif ($errorcode == 1)   
    { 
	print "<FONT COLOR=\"RED\">Unable to open profile sender log file!</FONT>",br; 
    }
    elsif ($errorcode == 2)   
    { 
	print "<FONT COLOR=\"RED\">SQL String too long (> 1024 bytes)!</FONT>",br; 
    }
    elsif ($errorcode == 7)   
    { 
	print "<FONT COLOR=\"RED\">Add failed: Parse error</FONT>",br; 
    }
    elsif ($errorcode == 12)   
    { 
	print "<FONT COLOR=\"RED\">Add failed: Tried to add an existing profile (use delete first)</FONT>",br; 
    }
    elsif ($errorcode == 14)   
    { 
	print "<FONT COLOR=\"RED\">Delete failed: Tried to delete a non-existing profile</FONT>",br; 
    }
    elsif ($errorcode == 20)  
    { 
	print "<FONT COLOR=\"RED\">Error sending integer data</FONT>",br; 
    }
    elsif ($errorcode == 21)  
    { 
	print "<FONT COLOR=\"RED\">Error sending a string</FONT>",br; 
    } 
    elsif ($errorcode == 25)  
    { 
	print "<FONT COLOR=\"RED\">Failed to get error code from profile manager server</FONT>",br;
	print "<FONT COLOR=\"RED\"><B>UNCERTAIN RESULT!</B></FONT>",br; 
    }
    elsif ($errorcode == 28)  
    { 
	print "Paradise server call failure",br; 
    } 
    elsif ($errorcode == 3)   
    { 
	print "No message type code ( -code [add_prof/update_prof/update_loc/add_words/delete] )",br; 
    }
    elsif ($errorcode == 4)   
    { 
	print "Invalid argument in call to $command",br; 
    }
    elsif ($errorcode == 5)   
    { 
	print "Wrong number of arguments for a add or update message",br; 
    }
    elsif ($errorcode == 6)   
    { 
	print "Wrong number of arguments for a delete message",br;
    }
    elsif ($errorcode == 26)  
    { 
	print "Paradise server call 'open db' failed",br; 
    } 
    elsif ($errorcode == 27)  
    { 
	print "Paradise server call 'close db' failed",br; 
    } 
    elsif ($errorcode == 30)  
    {
	print "Failed to translate query",br; 
    } 
    elsif ($errorcode == 31)  
    { 
	print "Query parsing error, no profile registered",br; 
    } 
    elsif ($errorcode == 32)  
    { 
	print "Query typechecking error, no profile registered",br; 
    } 
    elsif ($errorcode == 33)  
    { 
	print "Could not get current BADD Schema information",br; 
    } 
    
    print start_form;
    print hidden("userid", $userid);
    print hidden("mainmenu", "mainmenu");
    print p(submit("Back to the main menu"));
    print end_form;	  
    endpage();   
}






